Create a Session

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

There are some further options you are able to pass through a "feature_flags" field when creating a session. These allow some customisation of the interface

Custom features for Sessions

Custom feature can be added while creating a Session and it can be done by passing values into the feature_flags array.

Example Feature Flags option

feature_flags: [

     '-plugin;coviu-waiting-room-plugin',

     '-plugin;coviu-stripe-payments-resource-plugin',

     'customisation;disable-menu',

     'customisation;exit-url;https://your-exit-url',

     'customisation;return-url;https://your-return-url',

     'customisation;return-label;Your return label',

     'customisation;auto-return',

     'session;enforce-participant-uniqueness',

     'customisation;favicon-url;https://yourdomain.com/favicon.ico'
]

What do they do?

Feature FlagWhat it does ?
-pluginRemoves standard Coviu plugins from the session room
customisation;disable-menuRemoves the menu from the session room
customisation;exit-urlAdd a specific URL to wherever you would like to redirect to if the user exits the call interface using the "Exit call interface" button prior to other participants joining
customisation;return-urlAdd a specific URL to wherever you would like to redirect to after the call has completed from the exit screen
customisation;return-labelTo label the button that does the return URL navigation.
customisation;auto-returnAutomatically redirect to the return-url after hitting the "end call" button
session;enforce-participant-uniquenessAllow for the unique use of the participant's URL - it can't be re-used after first entry
customisation;favicon-url;https://yourdomain.com/favicon.icoAllow for the use of your favicon in the call
customisation;background-color;{value}Allows for using a custom background colour in the Coviu call window
customisation;button-primary;{value}Allows for using a custom button colour in the Coviu call window
customisation;button-secondary;{value}Allows for using a custom colour for the content inside the button in the Coviu call window
Body Params
string

Display name for the session

date

Start time for the session

date

End time for the session, when participants can no longer join

date

The actual end time for session, when the calendar event is defined

string

URL for Room image

participants
array of objects
required

Details of the participants in the session

participants*
feature_flags
array of strings

Some custom options to pass through when creating a session. (detailed below)

feature_flags
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json